local love = require "love"

function Table()
  local width = 400
  local height = 217
    return {
      create = function(self)
      
        tableLeft = {}
        tableLeft.body = love.physics.newBody(world, width-390, height/2) 
        tableLeft.shape = love.physics.newRectangleShape(1,  height)
        tableLeft.fixture = love.physics.newFixture(tableLeft.body,tableLeft.shape)
        tableLeft.fixture:setRestitution(1)
        tableLeft.fixture:setFriction(10)
        tableLeft.fixture:setUserData("Mesa")
            
        tableRight = {}
        tableRight.body = love.physics.newBody(world, width-25, height/2)
        tableRight.shape = love.physics.newRectangleShape(width-399, height)
        tableRight.fixture = love.physics.newFixture(tableRight.body,tableRight.shape)
        tableRight.fixture:setRestitution(1)
        tableRight.fixture:setFriction(10)
        tableRight.fixture:setUserData("Mesa")
                
        tableTop = {}
        tableTop.body = love.physics.newBody(world, width/2, 0)
        tableTop.shape = love.physics.newRectangleShape(width, height-187)
        tableTop.fixture = love.physics.newFixture(tableTop.body,tableTop.shape)
        tableTop.fixture:setRestitution(1)
        tableTop.fixture:setFriction(10)
        tableTop.fixture:setUserData("Mesa")
        
        tableBottom = {}
        tableBottom.body = love.physics.newBody(world, width/2, height-25)
        tableBottom.shape = love.physics.newRectangleShape(width, 0)
        tableBottom.fixture = love.physics.newFixture(tableBottom.body,tableBottom.shape)
        tableBottom.fixture:setRestitution(1)
        tableBottom.fixture:setFriction(10)
        tableBottom.fixture:setUserData("Mesa")
      end,

      draw = function (self)

        tableImage = love.graphics.newImage("assets/table.png")
        love.graphics.draw(tableImage, 0, 0)
      end
    }
  end
  
  return Table